/b2b/oor/sell/card
Off-ramp transaction with card attributes
Body
required
application/json
Request body
- Type: stringtrx
_token requiredSell token returned by
/b2b/oor/sell-ratesendpoint. - Type: stringaddress
Address for returning cryptocurrency in case of an error in the transaction.
- Type: stringcard
_expiration _month Card expiration month
Example:
11Required if card_id not filled
- Type: stringcard
_expiration _year Card expiration year
Example:
2026Required if card_id not filled
- Type: stringcard
_holder _name Cardholder name
Example:
John DoeRequired if card_id not filled
- Type: stringcard
_id Card ID
Example:
018ab9cc29a8a2543Required if card data not filled
- Type: stringcard
_number Card number
Example:
4111111111111111Required if card_id not filled
- Type: stringmerchant
_transaction _id Unique custom ID to check transaction status. If empty, it will be generated
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/b2b/oor/sell/card
curl https://sandbox-api.mrcr.io/v1.6/b2b/oor/sell/card \
--request POST \
--header 'Content-Type: application/json' \
--header 'B2B-Bearer-Token: YOUR_SECRET_TOKEN' \
--data '{
"card_id": "018ab9cc29a8a2543",
"card_number": "4111111111111111",
"card_holder_name": "John Doe",
"card_expiration_month": "11",
"card_expiration_year": "2026",
"trx_token": "<from sell-rates request>",
"address": "0x8521F79D47fe9A7D7Ec794577336F3dc1eecF782",
"merchant_transaction_id": "87654321"
}'
{
"status": 200,
"data": {
"status": "pending",
"address": "0x8521F79D47fe9A7D7Ec794577336F3dc1eecF782",
"merchant_transaction_id": "08e578d2674026086"
}
}